Bug 195204 - autofs4 kernel module fails to load
autofs4 kernel module fails to load
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-14 10:40 EDT by Joe Orton
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-15 10:38:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2006-06-14 10:40:58 EDT
[refiled]

Description of problem:
autofs-5.0.0_beta4-4

"service autofs start" fails in Raw Hide install, logged to /var/log/message is:

Jun  9 15:58:57 trash automount[3332]: main: automount: can't load autofs4
filesystem module

Manually running "modprobe autofs4" works fine.

kernel is 2.6.16-1.2255_FC6xen0

------- Additional Comments From jorton@redhat.com  2006-06-09 10:58 EST -------
But even then, I fail to get a working autofs setup.

Jun  9 16:04:13 trash automount[3457]: master_read_master: no mounts in table
Jun  9 16:04:46 trash automount[3505]: do_mount_autofs_indirect: failed to mount
autofs path /misc
Jun  9 16:04:46 trash automount[3505]: handle_mounts: mount of /misc failed!
Jun  9 16:04:46 trash automount[3505]: master_do_mount: failed to startup mount
... etc, repeated for each autofs mount
Jun  9 16:04:46 trash automount[3505]: master_do_mount: failed to startup mount
Jun  9 16:04:46 trash automount[3505]: master_read_master: no mounts in table

this is a bog-standard NIS/autofs setup which has worked by default forever.

------- Additional Comments From ikent@redhat.com  2006-06-09 11:30 EST -------
(In reply to comment #1)
> But even then, I fail to get a working autofs setup.
>
> Jun  9 16:04:13 trash automount[3457]: master_read_master: no mounts in table
> Jun  9 16:04:46 trash automount[3505]: do_mount_autofs_indirect: failed to mount
> autofs path /misc
> Jun  9 16:04:46 trash automount[3505]: handle_mounts: mount of /misc failed!
> Jun  9 16:04:46 trash automount[3505]: master_do_mount: failed to startup mount
> ... etc, repeated for each autofs mount
> Jun  9 16:04:46 trash automount[3505]: master_do_mount: failed to startup mount
> Jun  9 16:04:46 trash automount[3505]: master_read_master: no mounts in table
>
> this is a bog-standard NIS/autofs setup which has worked by default forever.

Can you post output from "lsmod" immediately after you get this message.

Ian

------- Additional Comments From jmoyer@redhat.com  2006-06-11 08:18 EST -------
Ian, doesn't this sound like the selinux issue?  If you do "setenforce 0", and
then load autofs, it will probably work.

------- Additional Comments From ikent@redhat.com  2006-06-12 03:13 EST -------
(In reply to comment #3)
> Ian, doesn't this sound like the selinux issue?  If you do "setenforce 0", and
> then load autofs, it will probably work.

Yep. It does.

Joe I'm just about to get onto the selinux issue.
Sorry for the inconvience.

Ian

------- Additional Comments From jorton@redhat.com  2006-06-12 05:28 EST -------
I can confirm that doing "setenforce 0" then starting autofs works fine, FWIW.
Comment 1 Jeffrey Moyer 2006-06-15 10:38:08 EDT
This was fixed in 5.0.0_beta4-9.

Note You need to log in before you can comment on or make changes to this bug.